;/////////////////////////////////////////////////////////////////////
;// messages.mc -- error message text for Direct3D applications
;//
FacilityNames=(
  draw=0x876
)
SeverityNames=(
  draw_error=0x2
)

;/////////////////////////////////////////////////////////////////////
;// DirectDraw and Direct3D messages
;//
MessageId=5
Severity=draw_error
Facility=draw
Language=English
DDERR_ALREADYINITIALIZED
This object is already initialized.
.
MessageId=10
Severity=draw_error
Facility=draw
Language=English
DDERR_CANNOTATTACHSURFACE
This surface can not be attached to the requested surface.
.
MessageId=20
Severity=draw_error
Facility=draw
Language=English
DDERR_CANNOTDETACHSURFACE
This surface can not be detached from the requested surface.
.
MessageId=40
Severity=draw_error
Facility=draw
Language=English
DDERR_CURRENTLYNOTAVAIL
Support is currently not available.
.
MessageId=55
Severity=draw_error
Facility=draw
Language=English
DDERR_EXCEPTION
An exception was encountered while performing the requested operation.
.
MessageId=90
Severity=draw_error
Facility=draw
Language=English
DDERR_HEIGHTALIGN
The height of rectangle provided is not a multiple of the required alignment.
.
MessageId=95
Severity=draw_error
Facility=draw
Language=English
DDERR_INCOMPATIBLEPRIMARY
Unable to match the primary surface creation request with the existing
primary surface.
.
MessageId=100
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDCAPS
One or more of the caps bits passed to the callback are incorrect.
.
MessageId=110
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDCLIPLIST
DirectDraw does not support the provided Cliplist.
.
MessageId=120
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDMODE
DirectDraw does not support the requested mode.
.
MessageId=130
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDOBJECT
DirectDraw received a pointer that was an invalid DIRECTDRAW object.
.
MessageId=145
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDPIXELFORMAT
The specified pixel format is invalid.
.
MessageId=150
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDRECT
The specified rectangle was invalid.
.
MessageId=160 Severity=draw_error
Facility=draw
Language=English
DDERR_LOCKEDSURFACES
The operation could not be carried out because one or more surfaces are locked.
.
MessageId=170
Severity=draw_error
Facility=draw
Language=English
DDERR_NO3D
There is no 3D present.
.
MessageId=180
Severity=draw_error
Facility=draw
Language=English
DDERR_NOALPHAHW
The operation could not be carried out because there is no alpha accleration
hardware present or available.
.
MessageId=181
Severity=draw_error
Facility=draw
Language=English
DDERR_NOSTEREOHARDWARE
The operation could not be carried out because there is no stereo
hardware present or available.
.
MessageId=182
Severity=draw_error
Facility=draw
Language=English
DDERR_NOSURFACELEFT
The operation could not be carried out because there is no hardware
present which supports stereo surfaces.
.
MessageId=205
Severity=draw_error
Facility=draw
Language=English
DDERR_NOCLIPLIST
No clip list is available.
.
MessageId=210
Severity=draw_error
Facility=draw
Language=English
DDERR_NOCOLORCONVHW
The operation could not be carried out because there is no color conversion
hardware present or available.
.
MessageId=212
Severity=draw_error
Facility=draw
Language=English
DDERR_NOCOOPERATIVELEVELSET
The Create method was called before the cooperative level was set with
SetCooperativeLevel.
.
MessageId=215
Severity=draw_error
Facility=draw
Language=English
DDERR_NOCOLORKEY
The surface doesn't currently have a color key.
.
MessageId=220
Severity=draw_error
Facility=draw
Language=English
DDERR_NOCOLORKEYHW
The operation could not be carried out because there is no hardware support
of the dest color key.
.
MessageId=222
Severity=draw_error
Facility=draw
Language=English
DDERR_NODIRECTDRAWSUPPORT
There is no DirectDraw support in the current display driver.
.
MessageId=225
Severity=draw_error
Facility=draw
Language=English
DDERR_NOEXCLUSIVEMODE
The operation requires exclusive mode and the application does not have
exclusive mode.
.
MessageId=230
Severity=draw_error
Facility=draw
Language=English
DDERR_NOFLIPHW
Flipping visible surfaces is not supported.
.
MessageId=240
Severity=draw_error
Facility=draw
Language=English
DDERR_NOGDI
There is no GDI present.
.
MessageId=250
Severity=draw_error
Facility=draw
Language=English
DDERR_NOMIRRORHW
The operation could not be carried out because there is no hardware present
or available.
.
MessageId=255
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTFOUND
The requested item was not found.
.
MessageId=260
Severity=draw_error
Facility=draw
Language=English
DDERR_NOOVERLAYHW
The operation could not be carried out because there is no overlay hardware
present or available.
.
MessageId=270
Severity=draw_error
Facility=draw
Language=English
DDERR_OVERLAPPINGRECTS
The operation could not be carried out because the source and destination
rectangles are on the same surface and overlap each other.
.
MessageId=280
Severity=draw_error
Facility=draw
Language=English
DDERR_NORASTEROPHW
The operation could not be carried out because there is no appropriate raster
op hardware present or available.
.
MessageId=290
Severity=draw_error
Facility=draw
Language=English
DDERR_NOROTATIONHW
The operation could not be carried out because there is no rotation hardware
present or available.
.
MessageId=310
Severity=draw_error
Facility=draw
Language=English
DDERR_NOSTRETCHHW
The operation could not be carried out because there is no hardware support
for stretching
.
MessageId=316
Severity=draw_error
Facility=draw
Language=English
DDERR_NOT4BITCOLOR
DirectDrawSurface is not in 4 bit color palette and the requested operation
requires 4 bit color palette.
.
MessageId=317
Severity=draw_error
Facility=draw
Language=English
DDERR_NOT4BITCOLORINDEX
DirectDrawSurface is not in 4 bit color index palette and the requested
operation requires 4 bit color index palette.
.
MessageId=320
Severity=draw_error
Facility=draw
Language=English
DDERR_NOT8BITCOLOR
DirectDraw Surface is not in 8 bit color mode and the requested operation
requires 8 bit color.
.
MessageId=330
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTEXTUREHW
The operation could not be carried out because there is no texture mapping
hardware present or available.
.
MessageId=335
Severity=draw_error
Facility=draw
Language=English
DDERR_NOVSYNCHW
The operation could not be carried out because there is no hardware support
for vertical blank synchronized operations.
.
MessageId=340
Severity=draw_error
Facility=draw
Language=English
DDERR_NOZBUFFERHW
The operation could not be carried out because there is no hardware support
for zbuffer blting.
.
MessageId=350
Severity=draw_error
Facility=draw
Language=English
DDERR_NOZOVERLAYHW
Overlay surfaces could not be z layered based on their BltOrder because
the hardware does not support z layering of overlays.
.
MessageId=360
Severity=draw_error
Facility=draw
Language=English
DDERR_OUTOFCAPS
The hardware needed for the requested operation has already been
allocated.
.
MessageId=380
Severity=draw_error
Facility=draw
Language=English
DDERR_OUTOFVIDEOMEMORY
DirectX Graphics does not have enough display memory to perform the
operation.
.
MessageId=382
Severity=draw_error
Facility=draw
Language=English
DDERR_OVERLAYCANTCLIP
hardware does not support clipped overlays
.
MessageId=384
Severity=draw_error
Facility=draw
Language=English
DDERR_OVERLAYCOLORKEYONLYONEACTIVE
Can only have ony color key active at one time for overlays
.
MessageId=387
Severity=draw_error
Facility=draw
Language=English
DDERR_PALETTEBUSY
Access to this palette is being refused because the palette is already
locked by another thread.
.
MessageId=400
Severity=draw_error
Facility=draw
Language=English
DDERR_COLORKEYNOTSET
No src color key specified for this operation.
.
MessageId=410
Severity=draw_error
Facility=draw
Language=English
DDERR_SURFACEALREADYATTACHED
This surface is already attached to the surface it is being attached to.
.
MessageId=420
Severity=draw_error
Facility=draw
Language=English
DDERR_SURFACEALREADYDEPENDENT
This surface is already a dependency of the surface it is being made a
dependency of.
.
MessageId=430
Severity=draw_error
Facility=draw
Language=English
DDERR_SURFACEBUSY
Access to this surface is being refused because the surface is already
locked by another thread.
.
MessageId=435
Severity=draw_error
Facility=draw
Language=English
DDERR_CANTLOCKSURFACE
Access to this surface is being refused because no driver exists
which can supply a pointer to the surface.
This is most likely to happen when attempting to lock the primary
surface when no DCI provider is present.
Will also happen on attempts to lock an optimized surface.
.
MessageId=440
Severity=draw_error
Facility=draw
Language=English
DDERR_SURFACEISOBSCURED
Access to Surface refused because Surface is obscured.
.
MessageId=450
Severity=draw_error
Facility=draw
Language=English
DDERR_SURFACELOST
Access to this surface is being refused because the surface is gone.
The DIRECTDRAWSURFACE object representing this surface should
have Restore called on it.
.
MessageId=460
Severity=draw_error
Facility=draw
Language=English
DDERR_SURFACENOTATTACHED
The requested surface is not attached.
.
MessageId=470
Severity=draw_error
Facility=draw
Language=English
DDERR_TOOBIGHEIGHT
Height requested by DirectDraw is too large.
.
MessageId=480
Severity=draw_error
Facility=draw
Language=English
DDERR_TOOBIGSIZE
Size requested by DirectDraw is too large --  The individual height and
width are OK.
.
MessageId=490
Severity=draw_error
Facility=draw
Language=English
DDERR_TOOBIGWIDTH
Width requested by DirectDraw is too large.
.
MessageId=510
Severity=draw_error
Facility=draw
Language=English
DDERR_UNSUPPORTEDFORMAT
Pixel format requested is unsupported by DirectDraw
.
MessageId=520
Severity=draw_error
Facility=draw
Language=English
DDERR_UNSUPPORTEDMASK
Bitmask in the pixel format requested is unsupported by DirectDraw
.
MessageId=521
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDSTREAM
The specified stream contains invalid data
.
MessageId=537
Severity=draw_error
Facility=draw
Language=English
DDERR_VERTICALBLANKINPROGRESS
vertical blank is in progress
.
MessageId=540
Severity=draw_error
Facility=draw
Language=English
DDERR_WASSTILLDRAWING
Informs DirectDraw that the previous Blt which is transfering information
to or from this Surface is incomplete.
.
MessageId=542
Severity=draw_error
Facility=draw
Language=English
DDERR_DDSCAPSCOMPLEXREQUIRED
The specified surface type requires specification of the COMPLEX flag
.
MessageId=560
Severity=draw_error
Facility=draw
Language=English
DDERR_XALIGN
Rectangle provided was not horizontally aligned on reqd. boundary
.
MessageId=561
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDDIRECTDRAWGUID
The GUID passed to DirectDrawCreate is not a valid DirectDraw driver
identifier.
.
MessageId=562
Severity=draw_error
Facility=draw
Language=English
DDERR_DIRECTDRAWALREADYCREATED
A DirectDraw object representing this driver has already been created
for this process.
.
MessageId=563
Severity=draw_error
Facility=draw
Language=English
DDERR_NODIRECTDRAWHW
A hardware only DirectDraw object creation was attempted but the driver
did not support any hardware.
.
MessageId=564
Severity=draw_error
Facility=draw
Language=English
DDERR_PRIMARYSURFACEALREADYEXISTS
this process already has created a primary surface
.
MessageId=565
Severity=draw_error
Facility=draw
Language=English
DDERR_NOEMULATION
software emulation not available.
.
MessageId=566
Severity=draw_error
Facility=draw
Language=English
DDERR_REGIONTOOSMALL
region passed to Clipper::GetClipList is too small.
.
MessageId=567
Severity=draw_error
Facility=draw
Language=English
DDERR_CLIPPERISUSINGHWND
an attempt was made to set a clip list for a clipper objec that
is already monitoring an hwnd.
.
MessageId=568
Severity=draw_error
Facility=draw
Language=English
DDERR_NOCLIPPERATTACHED
No clipper object attached to surface object
.
MessageId=569
Severity=draw_error
Facility=draw
Language=English
DDERR_NOHWND
Clipper notification requires an HWND or
no HWND has previously been set as the CooperativeLevel HWND.
.
MessageId=570
Severity=draw_error
Facility=draw
Language=English
DDERR_HWNDSUBCLASSED
HWND used by DirectDraw CooperativeLevel has been subclassed,
this prevents DirectDraw from restoring state.
.
MessageId=571
Severity=draw_error
Facility=draw
Language=English
DDERR_HWNDALREADYSET
The CooperativeLevel HWND has already been set.
It can not be reset while the process has surfaces or palettes created.
.
MessageId=572
Severity=draw_error
Facility=draw
Language=English
DDERR_NOPALETTEATTACHED
No palette object attached to this surface.
.
MessageId=573
Severity=draw_error
Facility=draw
Language=English
DDERR_NOPALETTEHW
No hardware support for 16 or 256 color palettes.
.
MessageId=574
Severity=draw_error
Facility=draw
Language=English
DDERR_BLTFASTCANTCLIP
If a clipper object is attached to the source surface passed into a
BltFast call.
.
MessageId=575
Severity=draw_error
Facility=draw
Language=English
DDERR_NOBLTHW
No blter.
.
MessageId=576
Severity=draw_error
Facility=draw
Language=English
DDERR_NODDROPSHW
No DirectDraw ROP hardware.
.
MessageId=577
Severity=draw_error
Facility=draw
Language=English
DDERR_OVERLAYNOTVISIBLE
returned when GetOverlayPosition is called on a hidden overlay
.
MessageId=578
Severity=draw_error
Facility=draw
Language=English
DDERR_NOOVERLAYDEST
returned when GetOverlayPosition is called on a overlay that UpdateOverlay
has never been called on to establish a destionation.
.
MessageId=579
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDPOSITION
returned when the position of the overlay on the destionation is no longer
legal for that destionation.
.
MessageId=580
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTAOVERLAYSURFACE
returned when an overlay member is called for a non-overlay surface
.
MessageId=581
Severity=draw_error
Facility=draw
Language=English
DDERR_EXCLUSIVEMODEALREADYSET
An attempt was made to set the cooperative level when it was already
set to exclusive.
.
MessageId=582
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTFLIPPABLE
An attempt has been made to flip a surface that is not flippable.
.
MessageId=583
Severity=draw_error
Facility=draw
Language=English
DDERR_CANTDUPLICATE
Can't duplicate primary & 3D surfaces, or surfaces that are implicitly
created.
.
MessageId=584
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTLOCKED
Surface was not locked.  An attempt to unlock a surface that was not
locked at all, or by this process, has been attempted.
.
MessageId=585
Severity=draw_error
Facility=draw
Language=English
DDERR_CANTCREATEDC
Windows can not create any more DCs, or a DC was requested for a paltte-indexed
surface when the surface had no palette AND the display mode was not palette-indexed
(in this case DirectDraw cannot select a proper palette into the DC)
.
MessageId=586
Severity=draw_error
Facility=draw
Language=English
DDERR_NODC
No DC was ever created for this surface.
.
MessageId=587
Severity=draw_error
Facility=draw
Language=English
DDERR_WRONGMODE
This surface can not be restored because it was created in a different
mode.
.
MessageId=588
Severity=draw_error
Facility=draw
Language=English
DDERR_IMPLICITLYCREATED
This surface can not be restored because it is an implicitly created
surface.
.
MessageId=589
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTPALETTIZED
The surface being used is not a palette-based surface
.
MessageId=590
Severity=draw_error
Facility=draw
Language=English
DDERR_UNSUPPORTEDMODE
The display is currently in an unsupported mode
.
MessageId=591
Severity=draw_error
Facility=draw
Language=English
DDERR_NOMIPMAPHW
The operation could not be carried out because there is no mip-map
texture mapping hardware present or available.
.
MessageId=592
Severity=draw_error
Facility=draw
Language=English
DDERR_INVALIDSURFACETYPE
The requested action could not be performed because the surface was of
the wrong type.
.
MessageId=600
Severity=draw_error
Facility=draw
Language=English
DDERR_NOOPTIMIZEHW
The device does not support optimized surfaces, therefore no video memory optimized surfaces.
.
MessageId=601
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTLOADED
The surface is optimized, but has not been loaded into video memory.
.
MessageId=602
Severity=draw_error
Facility=draw
Language=English
DDERR_NOFOCUSWINDOW
An attempt was made to create or set a device window without first setting
the focus window.
.
MessageId=603
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTONMIPMAPSUBLEVEL
An attempt was made to set a palette on a mipmap sublevel.
.
MessageId=620
Severity=draw_error
Facility=draw
Language=English
DDERR_DCALREADYCREATED
A DC has already been returned for this surface. Only one DC can be
retrieved per surface.
.
MessageId=630
Severity=draw_error
Facility=draw
Language=English
DDERR_NONONLOCALVIDMEM
An attempt was made to allocate non-local video memory from a device
that does not support non-local video memory.
.
MessageId=640
Severity=draw_error
Facility=draw
Language=English
DDERR_CANTPAGELOCK
The attempt to page lock a surface failed.
.
MessageId=660
Severity=draw_error
Facility=draw
Language=English
DDERR_CANTPAGEUNLOCK
The attempt to page unlock a surface failed.
.
MessageId=680
Severity=draw_error
Facility=draw
Language=English
DDERR_NOTPAGELOCKED
An attempt was made to page unlock a surface with no outstanding page locks.
.
MessageId=690
Severity=draw_error
Facility=draw
Language=English
DDERR_MOREDATA
There is more data available than the specified buffer size could hold
.
MessageId=691
Severity=draw_error
Facility=draw
Language=English
DDERR_EXPIRED
The data has expired and is therefore no longer valid.
.
MessageId=692
Severity=draw_error
Facility=draw
Language=English
DDERR_TESTFINISHED
The mode test has finished executing.
.
MessageId=693
Severity=draw_error
Facility=draw
Language=English
DDERR_NEWMODE
The mode test has switched to a new mode.
.
MessageId=694
Severity=draw_error
Facility=draw
Language=English
DDERR_D3DNOTINITIALIZED
Direct3D has not yet been initialized.
.
MessageId=695
Severity=draw_error
Facility=draw
Language=English
DDERR_VIDEONOTACTIVE
The video port is not active.
.
MessageId=696
Severity=draw_error
Facility=draw
Language=English
DDERR_NOMONITORINFORMATION
The monitor does not have EDID data.
.
MessageId=697
Severity=draw_error
Facility=draw
Language=English
DDERR_NODRIVERSUPPORT
The driver does not enumerate display mode refresh rates.
.
MessageId=699
Severity=draw_error
Facility=draw
Language=English
DDERR_DEVICEDOESNTOWNSURFACE
Surfaces created by one direct draw device cannot be used directly by
another direct draw device.
.
;/////////////////////////////////////////////////////////////////////
;// Direct3D 7 errors
;//
MessageId=700
Severity=draw_error
Facility=draw
Language=English
D3DERR_BADMAJORVERSION
.
MessageId=701
Severity=draw_error
Facility=draw
Language=English
D3DERR_BADMINORVERSION
.
MessageId=705
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALID_DEVICE
An invalid device was requested by the application.
.
MessageId=706
Severity=draw_error
Facility=draw
Language=English
D3DERR_INITFAILED
.
MessageId=707
Severity=draw_error
Facility=draw
Language=English
D3DERR_DEVICEAGGREGATED
SetRenderTarget attempted on a device that was QI'd off the render target.
.
MessageId=710
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_CREATE_FAILED
.
MessageId=711
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_DESTROY_FAILED
.
MessageId=712
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_LOCK_FAILED
.
MessageId=713
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_UNLOCK_FAILED
.
MessageId=714
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_LOCKED
.
MessageId=715
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_NOT_LOCKED
.
MessageId=716
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_FAILED
.
MessageId=717
Severity=draw_error
Facility=draw
Language=English
D3DERR_EXECUTE_CLIPPED_FAILED
.
MessageId=720
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_NO_SUPPORT
.
MessageId=721
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_CREATE_FAILED
.
MessageId=722
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_DESTROY_FAILED
.
MessageId=723
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_LOCK_FAILED
.
MessageId=724
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_UNLOCK_FAILED
.
MessageId=725
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_LOAD_FAILED
.
MessageId=726
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_SWAP_FAILED
.
MessageId=727
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_LOCKED
.
MessageId=728
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_NOT_LOCKED
.
MessageId=729
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_GETSURF_FAILED
.
MessageId=730
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATRIX_CREATE_FAILED
.
MessageId=731
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATRIX_DESTROY_FAILED
.
MessageId=732
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATRIX_SETDATA_FAILED
.
MessageId=733
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATRIX_GETDATA_FAILED
.
MessageId=734
Severity=draw_error
Facility=draw
Language=English
D3DERR_SETVIEWPORTDATA_FAILED
.
MessageId=735
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDCURRENTVIEWPORT
.
MessageId=736
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDPRIMITIVETYPE
.
MessageId=737
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDVERTEXTYPE
.
MessageId=738
Severity=draw_error
Facility=draw
Language=English
D3DERR_TEXTURE_BADSIZE
.
MessageId=739
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDRAMPTEXTURE
.
MessageId=740
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATERIAL_CREATE_FAILED
.
MessageId=741
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATERIAL_DESTROY_FAILED
.
MessageId=742
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATERIAL_SETDATA_FAILED
.
MessageId=743
Severity=draw_error
Facility=draw
Language=English
D3DERR_MATERIAL_GETDATA_FAILED
.
MessageId=744
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDPALETTE
.
MessageId=745
Severity=draw_error
Facility=draw
Language=English
D3DERR_ZBUFF_NEEDS_SYSTEMMEMORY
.
MessageId=746
Severity=draw_error
Facility=draw
Language=English
D3DERR_ZBUFF_NEEDS_VIDEOMEMORY
.
MessageId=747
Severity=draw_error
Facility=draw
Language=English
D3DERR_SURFACENOTINVIDMEM
.
MessageId=750
Severity=draw_error
Facility=draw
Language=English
D3DERR_LIGHT_SET_FAILED
.
MessageId=751
Severity=draw_error
Facility=draw
Language=English
D3DERR_LIGHTHASVIEWPORT
.
MessageId=752
Severity=draw_error
Facility=draw
Language=English
D3DERR_LIGHTNOTINTHISVIEWPORT
.
MessageId=760
Severity=draw_error
Facility=draw
Language=English
D3DERR_SCENE_IN_SCENE
.
MessageId=761
Severity=draw_error
Facility=draw
Language=English
D3DERR_SCENE_NOT_IN_SCENE
.
MessageId=762
Severity=draw_error
Facility=draw
Language=English
D3DERR_SCENE_BEGIN_FAILED
.
MessageId=763
Severity=draw_error
Facility=draw
Language=English
D3DERR_SCENE_END_FAILED
.
MessageId=770
Severity=draw_error
Facility=draw
Language=English
D3DERR_INBEGIN
.
MessageId=771
Severity=draw_error
Facility=draw
Language=English
D3DERR_NOTINBEGIN
.
MessageId=772
Severity=draw_error
Facility=draw
Language=English
D3DERR_NOVIEWPORTS
.
MessageId=773
Severity=draw_error
Facility=draw
Language=English
D3DERR_VIEWPORTDATANOTSET
.
MessageId=774
Severity=draw_error
Facility=draw
Language=English
D3DERR_VIEWPORTHASNODEVICE
.
MessageId=775
Severity=draw_error
Facility=draw
Language=English
D3DERR_NOCURRENTVIEWPORT
.
MessageId=2048
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDVERTEXFORMAT
.
MessageId=2050
Severity=draw_error
Facility=draw
Language=English
D3DERR_COLORKEYATTACHED
Attempted to CreateTexture on a surface that had a color key.
.
MessageId=2060
Severity=draw_error
Facility=draw
Language=English
D3DERR_VERTEXBUFFEROPTIMIZED
.
MessageId=2061
Severity=draw_error
Facility=draw
Language=English
D3DERR_VBUF_CREATE_FAILED
.
MessageId=2062
Severity=draw_error
Facility=draw
Language=English
D3DERR_VERTEXBUFFERLOCKED
.
MessageId=2063
Severity=draw_error
Facility=draw
Language=English
D3DERR_VERTEXBUFFERUNLOCKFAILED
.
MessageId=2070
Severity=draw_error
Facility=draw
Language=English
D3DERR_ZBUFFER_NOTPRESENT
.
MessageId=2071
Severity=draw_error
Facility=draw
Language=English
D3DERR_STENCILBUFFER_NOTPRESENT
.
MessageId=2083
Severity=draw_error
Facility=draw
Language=English
D3DERR_TOOMANYPRIMITIVES
.
MessageId=2084
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDMATRIX
.
MessageId=2085
Severity=draw_error
Facility=draw
Language=English
D3DERR_TOOMANYVERTICES
.
MessageId=2100
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDSTATEBLOCK
.
MessageId=2101
Severity=draw_error
Facility=draw
Language=English
D3DERR_INBEGINSTATEBLOCK
.
MessageId=2102
Severity=draw_error
Facility=draw
Language=English
D3DERR_NOTINBEGINSTATEBLOCK
.

;/////////////////////////////////////////////////////////////////////
;// IDirectXFile* errors
;//
MessageId=850
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADOBJECT
The object is invalid.
.
MessageId=851
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADVALUE
One of the parameters is invalid.
.
MessageId=852
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADTYPE
The object type is invalid.
.
MessageId=853
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADSTREAMHANDLE
The stream handle is invalid.
.
MessageId=854
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADALLOC
A memory allocation failed.
.
MessageId=855
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_NOTFOUND
The requested item was not found.
.
MessageId=856
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_NOTDONEYET
The operation has not yet completed.
.
MessageId=857
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_FILENOTFOUND
The file could not be found.
.
MessageId=858
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_RESOURCENOTFOUND
The resource could not be found.
.
MessageId=859
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_URLNOTFOUND
The URL could not be found.
.
MessageId=860
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADRESOURCE
Resource is invalid.
.
MessageId=861
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADFILETYPE
The file is not a DirectX file.
.
MessageId=862
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADFILEVERSION
The file version is invalid.
.
MessageId=863
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADFILEFLOATSIZE
The floating-point size is invalid.
.
MessageId=864
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADFILECOMPRESSIONTYPE
The file compression type is invalid.
.
MessageId=865
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADFILE
The file is invalid.
.
MessageId=866
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_PARSEERROR
The file could not be parsed.
.
MessageId=867
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_NOTEMPLATE
No template is available.
.
MessageId=868
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADARRAYSIZE
The array size is invalid.
.
MessageId=869
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADDATAREFERENCE
The data reference is invalid.
.
MessageId=870
Severity=draw_error
Facility=draw
Language=English
INTERNALERROR
An internal error occurred.
.
MessageId=871
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_NOMOREOBJECTS
All objects have been enumerated.
.
MessageId=872
Severity=draw_error
Facility=draw
Language=English
BADINTRINSICS
The intrinsics are invalid.
.
MessageId=873
Severity=draw_error
Facility=draw
Language=English
NOMORESTREAMHANDLES
No stream handles are available.
.
MessageId=874
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_NOMOREDATA
No further data is available.
.
MessageId=875
Severity=draw_error
Facility=draw
Language=English
DXFILEERR_BADCACHEFILE
The cache file containing the .x file data is invalid.
.
MessageId=876
Severity=draw_error
Facility=draw
Language=English
DXFILERR_NOINTERNET
No internet connection found.
.

;/////////////////////////////////////////////////////////////////////
;// Direct3D 8 errors
;//
MessageId=2072
Severity=draw_error
Facility=draw
Language=English
D3DERR_WRONGTEXTUREFORMAT
The pixel format of the texture surface is not valid.
.
MessageId=2073
Severity=draw_error
Facility=draw
Language=English
D3DERR_UNSUPPORTEDCOLOROPERATION
The device does not support a specified texture-blending operation for
color values.
.
MessageId=2074
Severity=draw_error
Facility=draw
Language=English
D3DERR_UNSUPPORTEDCOLORARG
The device does not support a specified texture-blending argument for
color values.
.
MessageId=2075
Severity=draw_error
Facility=draw
Language=English
D3DERR_UNSUPPORTEDALPHAOPERATION
The device does not support a specified texture-blending operation for
the alpha channel.
.
MessageId=2076
Severity=draw_error
Facility=draw
Language=English
D3DERR_UNSUPPORTEDALPHAARG
The device does not support a specified texture-blending argument for
the alpha channel.
.
MessageId=2077
Severity=draw_error
Facility=draw
Language=English
D3DERR_TOOMANYOPERATIONS
The application is requesting more texture-filtering operations than
the device supports.
.
MessageId=2078
Severity=draw_error
Facility=draw
Language=English
D3DERR_CONFLICTINGTEXTUREFILTER
The current texture filters cannot be used together.
.
MessageId=2079
Severity=draw_error
Facility=draw
Language=English
D3DERR_UNSUPPORTEDFACTORVALUE
The device does not support the specified texture factor value.
.
MessageId=2081
Severity=draw_error
Facility=draw
Language=English
D3DERR_CONFLICTINGRENDERSTATE
The currently set render states cannot be used together.
.
MessageId=2082
Severity=draw_error
Facility=draw
Language=English
D3DERR_UNSUPPORTEDTEXTUREFILTER
The device does not support the specified texture filter.
.
MessageId=2086
Severity=draw_error
Facility=draw
Language=English
D3DERR_CONFLICTINGTEXTUREPALETTE
The current textures cannot be used simultaneously.  This generally
occurs when a multitexture device requires that all palletized
textures simultaneously enabled also share the same palette.
.
MessageId=2087
Severity=draw_error
Facility=draw
Language=English
D3DERR_DRIVERINTERNALERROR
Driver internal error.
.
MessageId=2150
Severity=draw_error
Facility=draw
Language=English
D3DERR_NOTFOUND
The requested item was not found.
.
MessageId=2151
Severity=draw_error
Facility=draw
Language=English
D3DERR_MOREDATA
There is more data available than the specified buffer size can hold.
.
MessageId=2152
Severity=draw_error
Facility=draw
Language=English
D3DERR_DEVICELOST
The device is lost and cannot be restored at the current time, so
rendering is not possible.
.
MessageId=2153
Severity=draw_error
Facility=draw
Language=English
D3DERR_DEVICENOTRESET
The device was lost and can now be reset.
.
MessageId=2154
Severity=draw_error
Facility=draw
Language=English
D3DERR_NOTAVAILABLE
This device does not support the queried technique.
.
MessageId=2155
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDDEVICE
The requested device type (D3DDEVTYPE) is not valid.
Invalid device
.
MessageId=2156
Severity=draw_error
Facility=draw
Language=English
D3DERR_INVALIDCALL
One of the method's parameters is invalid.
.
messageId=2157
Severity=draw_error
Facility=draw
Language=English
D3DERR_DRIVERINVALIDCALL
Driver invalid call.
.

;/////////////////////////////////////////////////////////////////////
;// D3DX8 errors
;//
MessageId=2900
Severity=draw_error
Facility=draw
Language=English
D3DXERR_CANNOTMODIFYINDEXBUFFER
The index buffer cannot be modified.
.
MessageId=2901
Severity=draw_error
Facility=draw
Language=English
D3DXERR_INVALIDMESH
The mesh is invalid.
.
MessageId=2902
Severity=draw_error
Facility=draw
Language=English
D3DXERR_CANNOTATTRSORT
D3DXMESHOPT_ATTRSORT is not supported as an optimization technique.
.
MessageId=2903
Severity=draw_error
Facility=draw
Language=English
D3DXERR_SKINNINGNOTSUPPORTED
Skinning is not supported.
.
MessageId=2904
Severity=draw_error
Facility=draw
Language=English
D3DXERR_TOOMANYINFLUENCES
Too many bone influences specified.
.
MessageId=2905
Severity=draw_error
Facility=draw
Language=English
D3DXERR_INVALIDDATA
The data is invalid.
.
