// uuidof_test.cpp : Verifies that __uuidof(Interface) works for
// Direct3D interfaces in DirectX 8.0
//
// Copyright (C) 2000-2001, Rich Thomson, all rights reserved.

#include "stdafx.h"

#define TEST_GUID(if_) const GUID test_##if_(__uuidof(if_)); test_##if_

int main(int argc, char* argv[])
{
  TEST_GUID(IDirect3D8);
  TEST_GUID(IDirect3DDevice8);
  TEST_GUID(IDirect3DResource8);
  TEST_GUID(IDirect3DBaseTexture8);
  TEST_GUID(IDirect3DTexture8);
  TEST_GUID(IDirect3DCubeTexture8);
  TEST_GUID(IDirect3DVolumeTexture8);
  TEST_GUID(IDirect3DVertexBuffer8);
  TEST_GUID(IDirect3DIndexBuffer8);
  TEST_GUID(IDirect3DSurface8);
  TEST_GUID(IDirect3DVolume8);
  TEST_GUID(IDirect3DSwapChain8);

  TEST_GUID(ID3DXBaseMesh);
  TEST_GUID(ID3DXBuffer);
  TEST_GUID(ID3DXEffect);
  TEST_GUID(ID3DXFont);
  TEST_GUID(ID3DXMatrixStack);
  TEST_GUID(ID3DXMesh);
  TEST_GUID(ID3DXPMesh);
  TEST_GUID(ID3DXRenderToSurface);
  TEST_GUID(ID3DXSkinMesh);
  TEST_GUID(ID3DXSPMesh);
  TEST_GUID(ID3DXSprite);
  TEST_GUID(ID3DXTechnique);

  TEST_GUID(IDirectXFile);
  TEST_GUID(IDirectXFileBinary);
  TEST_GUID(IDirectXFileData);
  TEST_GUID(IDirectXFileDataReference);
  TEST_GUID(IDirectXFileEnumObject);
  TEST_GUID(IDirectXFileObject);
  TEST_GUID(IDirectXFileSaveObject);

  return 0;
}
